%define version 1.0.2
%define name drakpxelinux
%define release 5mdk

Summary:	PXE default file configurator
Name:		%{name}
Version:	%{version}
Release:        %{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
URL:		http://people.mandrakesoft.com/~aginies/drakpxe2.jpg
Group:		System/Configuration/Other
Packager:	Antoine Ginies <aginies@mandrakesoft.com>
Requires:	perl-Gtk2, perl-MDK-Common, pxe, drakxtools, tftp-server, xinetd
BuildRoot:	%{_tmppath}/%{name}-buildroot
Buildarch:	noarch

%description
Quick configuration of PXE menu parameters.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT install 

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): command="/usr/bin/%{name}" section="Configuration/Other" \
icon="configuration_section.xpm" needs="x11" title="Drakpxelinux" \
longtitle="Mandrakelinux Pxelinux configurator"
EOF

#install lang
%{find_lang} %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root)
%doc default TODO COPYING
%{_bindir}/%{name}
#%{_datadir}/%{name}*
%{_menudir}/%{name}*

%changelog
* Tue Mar 22 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-5mdk
- fix wizard
- add ka method

* Tue Feb 15 2005 guibo <guibo@guiboserv.guibland.com> 1.0.2-4mdk
- fix init in PXE server (wizard)

* Fri Feb 11 2005 guibo <guibo@nodewireless.guibland.com> 1.0.2-3mdk
- fix bug (update vmlinuz and initrd files)

* Mon Jan 24 2005 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.2-2mdk
- update po files.

* Fri Nov 12 2004 guibo <guibo@node80.guibland.com> 1.0.2-1mdk
- fix custom option, dhcp/ip addr
- add test in add wizard
- now support multiple interfaces
- add a button to reconfigure PXE server
- display resolution instead of vga code

* Fri Oct 01 2004 Antoine Ginies <aginies@n1.mandrakesoft.com> 1.0.1-3mdk

- add missing po files

* Tue Sep 14 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.1-2mdk
- fix busy cursor

* Mon Aug 30 2004 guibo <guibo@node80.guibland.com> 1.0.1-1mdk
- typo fix (Joao Ferreira; Arpad Biro)

* Fri Aug 13 2004 Antoine Ginies <aginies@mandrakesoft.com> 1.0.0-1mdk
- add a check of pxe.conf file
- add a check box for DHCP or ip address
- add test on IP address
- display vga resolution in edit box
- perl_checker fix
- rearrange some widgets (thx Mokaddem)
- fix label in column
- thx R1 for help/idea, Chandra/Nicolabs for test

* Wed Aug 11 2004 mdkc Antoine Ginies <aginies@mandrakesoft.com> 0.9.1-1mdk
- add a file dialog box for directory
- some clean in code

* Tue Aug 10 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-2mdk
- fix pb of same var in code

* Sat Aug 7 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.9.0-1mdk
- add interactive help
- use OptionMenu instead of Combo box

* Fri Aug  6 2004 guibo <guibo@node80.guibland.com> 0.8.0-3mdk
- remove kernel/initrd in remove mode
- default options are blank in add image
- add a test in file selection
- readjust info in wizard
- add a wait message in wizard
- add info in edit box
- add a dialog box (first time launch)

* Fri Aug  6 2004 guibo <guibo@node80.guibland.com> 0.8.0-2mdk
- improve get information
- fix pb of wizard
- block rename of label (to fix pb of same label name)
- typo

* Fri Aug  6 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.8.0-1mdk
- fix button display
- add help.txt support
- fix wizard
- add label
- enable tftp server
- save old config
- add wizard to add an image in pxe
- cell no more editable
- fix get_information in help.txt

* Thu Aug  5 2004 guibo <guibo@node80.guibland.com> 0.7.0-1mdk
- fix display pb
- add entry in menu
- correct requires

* Thu Jul 29 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.6.0-1mdk
- fix edit dialog box
- now support embedded mode (mcc)

* Wed Jul 28 2004 mdkc <mdkc@dhcp114.mandrakesoft.com> 0.5.0-2mdk
- fix cancel button (initrd/kernel choice)

* Thu Jul 22 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.5.0-1mdk
- first release
